Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 528060 - PBS services touch lock files when startup fails
Summary: PBS services touch lock files when startup fails
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: torque
Version: 14
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Steve Traylen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-08 18:55 UTC by Joe Krahn
Modified: 2010-10-14 20:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-14 20:07:41 UTC
Type: ---


Attachments (Terms of Use)

Description Joe Krahn 2009-10-08 18:55:07 UTC
Description of problem:
If a PSB service fails to start, the init script still touches the lockfile.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. start a pbs service, with a condition that causes startup to fail
2.
3.
  
Actual results:
/var/lock/subsys/pbs_* is touched

Expected results:
nothing

Additional info:
The script lines such as:
  touch /var/lock/subsys/pbs_mom

should be converted to something like:
  [ $RET -eq 0 ] && touch /var/lock/subsys/pbs_mom

Comment 1 Bug Zapper 2010-04-28 10:45:27 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Fedora Admin XMLRPC Client 2010-06-07 17:04:56 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Bug Zapper 2010-07-30 10:45:18 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Steve Traylen 2010-10-14 20:07:41 UTC
Thanks, I've added the conditionals and sent patch upstream as well.

http://www.clusterresources.com/bugzilla/show_bug.cgi?id=89


Note You need to log in before you can comment on or make changes to this bug.